Edit Paging Extension
curl --request PATCH \
--url https://api.voxo.co/v2/admin/extensions/paging/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": 123,
"name": "<string>",
"emergencyLocationId": 123,
"emergencyLocation": "<string>",
"includeInPhonebook": true,
"includeInDialByName": true,
"dialTimeout": 37.5,
"accountNumber": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/extensions/paging/{id}"
payload = {
"branchId": 123,
"name": "<string>",
"emergencyLocationId": 123,
"emergencyLocation": "<string>",
"includeInPhonebook": True,
"includeInDialByName": True,
"dialTimeout": 37.5,
"accountNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branchId: 123,
name: '<string>',
emergencyLocationId: 123,
emergencyLocation: '<string>',
includeInPhonebook: true,
includeInDialByName: true,
dialTimeout: 37.5,
accountNumber: '<string>'
})
};
fetch('https://api.voxo.co/v2/admin/extensions/paging/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenant": {
"id": 123,
"name": "<string>"
},
"name": "<string>",
"number": "<string>",
"email": "<string>",
"peerName": "<string>",
"callerIdNumber": "<string>",
"recording": "<string>",
"emergencyLocationId": 123,
"includeInPhonebook": "<string>",
"includeInDialByName": "<string>",
"dialTimeout": 123,
"callWaiting": "<string>",
"accountNumber": "<string>",
"emergencyLocationComment": "<string>",
"branch": {
"id": 123,
"name": "<string>"
},
"emergencyLocation": {
"id": 123,
"address": "<unknown>"
},
"devices": []
}Extensions
Edit Paging Extension
Update a paging extension (partial update)
PATCH
/
v2
/
admin
/
extensions
/
paging
/
{id}
Edit Paging Extension
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Extension ID
Pattern:
^[1-9]\d*$Body
application/json
Minimum string length:
3Required range:
0 <= x <= 75Must be a multiple of 5Available options:
yes, no, Maximum string length:
50Response
200 - application/json
Updated paging extension
Extension ID
Owning tenant
Show child attributes
Show child attributes
Extension name
Extension number
Extension email
SIP peer name
Outbound caller ID number
Call recording mode
Emergency location ID
Phonebook inclusion
Dial-by-name inclusion
Inbound ring timeout (seconds)
Call waiting state
Account number
Free-text emergency location comment
Branch
Show child attributes
Show child attributes
Emergency location
Show child attributes
Show child attributes
Assigned devices
Show child attributes
Show child attributes
Was this page helpful?